ONVIF::Media::Types::EndpointReferenceType(3)

NAME
ONVIF::Media::Types::EndpointReferenceType

DESCRIPTION
Perl data type class for the XML Schema defined complexType EndpointReferenceType from the namespace http://www.w3.org/2005/08/addressing.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Address

•   ReferenceParameters

•   Metadata

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::EndpointReferenceType
   Address =>  { value => $some_value },
   ReferenceParameters =>  { # ONVIF::Media::Types::ReferenceParametersType
   },
   Metadata =>  { # ONVIF::Media::Types::MetadataType
   },
 },

AUTHOR
Generated by SOAP::WSDL